Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Dmitrii Kuragin <[email-masked]>
Date: Mon, 29 Aug 2022 09:07:32 -0700

See
https://drive.google.com/file/d/1nMf_3MxRk2cTdgF3tFmzAZoxcy3vQghc/view?usp=sharing

On Mon, Aug 29, 2022 at 9:05 AM Dmitrii Kuragin <[email-masked]> wrote:

> No, the problem is during scrolling.
>
> On Mon, Aug 29, 2022 at 9:03 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Dmitrii Kuragin <[email-masked]>
>> > Date: Mon, 29 Aug 2022 07:38:48 -0700
>> > Cc: Gerd Möllmann <[email-masked]>,
>> >       [email-masked]
>> >
>> > Do we actually need to redraw the whole line if we use relative numbers
>> or we can just redraw the portion with
>> > line numbers?
>>
>> We need to redraw only the parts that have actually changed.
>>
>> But even with relative line numbers, the numbers only change if you
>> move the cursor vertically.  I thought you've seen flickering even
>> when cursor doesn't move at all, and Emacs is completely idle.  isn't
>> that so?
>>
>
>
> --
> *If you get an email from me outside of the 9-5 it is *not* because I'm
> always on or expect an immediate response from you; it is because of work
> flexibility
> <http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
> .  Evening and weekend emails are a sign I allocated some regular working
> hours for other things (such as family, gym, friends,...).  And I encourage
> you to feel free to do the same.
>
>

-- 
*If you get an email from me outside of the 9-5 it is *not* because I'm
always on or expect an immediate response from you; it is because of work
flexibility
<http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
.  Evening and weekend emails are a sign I allocated some regular working
hours for other things (such as family, gym, friends,...).  And I encourage
you to feel free to do the same.